package cn.com.ctop.manage.modules.actor.mapper;

import cn.com.ctop.manage.modules.actor.entity.ActorComment;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author jeecg-boot
 * 2019年12月5日19:55:14
 */
public interface ActorCommentMapper extends BaseMapper<ActorComment> {
    List<JSONObject> getCityList();

    List<JSONObject> getTagList();

    String getCityName(@Param("actorCityId") Integer actorCityId);

    String geTagName(@Param("tagId") Long tagId);

    void addTag(@Param("actorId") Long actorId, @Param("tagId") Long tagId, @Param("tagName") String tagName);

    List<Long> getTagListBy(@Param("actorId") Long actorId);

    List<String> getTagsId(@Param("actorId") Long actorId);

    void deleteTagByActorId(@Param("actorId") Long actorId);

    List<Long> getActorIds(@Param("tagIds") List<Long> tagIds);
}
